ur_rna.Utilities.annotation

## Annotation Type MagicConstant

-     @Retention(value=SOURCE)
       @Target(value={FIELD,PARAMETER,LOCAL_VARIABLE,ANNOTATION_TYPE,METHOD})
      public @interface MagicConstant

  Indicates that the decorated target represents an enumerated constant, rather than a pure primitive value (e.g. int, char, String etc). May be used by IDE or compiler to suggest valid values and/or warn of potentially invalid values.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `long[]` | `flags` Indicates that the allowed values for the target are those either found in the specified array (of constant int/long values) or a value produced by combining one or more of them using the bitwise OR operator (|).
    `java.lang.Class` | `flagsFromClass` Indicates that the allowed values for the argument are the public static final fields declared in the given class, or a value produced by combining one or more of them using the bitwise OR operator (|).
    `long[]` | `intValues` Indicates that the allowed values for the target are those found in the specified array of constant int or long values.
    `java.lang.String[]` | `stringValues` Indicates that the allowed values for the target are those found in the specified array of constant String values.
    `java.lang.Class` | `valuesFromClass` Indicates that the allowed values for the argument are the public static final fields declared in the given class.

- - ### Element Detail

    - #### flags

          public abstract long[] flags

      Indicates that the allowed values for the target are those either found in the specified array (of constant int/long values) or a value produced by combining one or more of them using the bitwise OR operator (|).
      Default:
        {}

  - - #### flagsFromClass

          public abstract java.lang.Class flagsFromClass

      Indicates that the allowed values for the argument are the public static final fields declared in the given class, or a value produced by combining one or more of them using the bitwise OR operator (|).
      Default:
        void.class

  - - #### intValues

          public abstract long[] intValues

      Indicates that the allowed values for the target are those found in the specified array of constant int or long values.
      Default:
        {}

  - - #### stringValues

          public abstract java.lang.String[] stringValues

      Indicates that the allowed values for the target are those found in the specified array of constant String values.
      Default:
        {}

  - - #### valuesFromClass

          public abstract java.lang.Class valuesFromClass

      Indicates that the allowed values for the argument are the public static final fields declared in the given class.
      Default:
        void.class